Subject: [Sigtran] Traffic Mode Help

From: Aditya <[email-masked]>
Date: Tue, 10 Oct 2006 02:26:59 -0700 (PDT)

Please advise in the following scenario.
ASP sends an ASP Active message with Traffic mode type Loadshare. SGP sends back an ASP Active Ack with Traffic mode Override (without sending an Error Message of Unsupported Traffic mode). ASP ignores the traffic mode sent by SGP and treats itself active with Traffic mode Loadshare.

My guess is SGP is behaving incorrectly. If it does not support a particular Traffic mode; it should respond with an Error Message. 

However, should the ASP in the absence of an ERROR message regard the traffic mode as acceptable to SGP even though a different traffic mode is mentioned in the ACK message.

Could you all please throw some light as to who is behaving incorrectly and pls provide references in M3UA RFC 3332.

Aditya Sehgal

---------------------------------------------------------------------------X----------------------------------------------------
 
Don't take life too seriously...
Nobody comes out alive anyway

---------------------------------
 All-new Yahoo! Mail - Fire up a more powerful email and get things done faster.

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: Ramma <[email-masked]>
Date: Tue, 10 Oct 2006 10:45:11 +0100

Aditya, HI !!!

To the best of my knowledge, ASPAC_ACK should contain the traffic mode as
given in the ASPAC message

Section 4.3.4.3 (second para) RFC 3332
   For the Application Servers that the ASP can be successfully
   activated, the SGP or IPSP responds with one or more ASP Active Ack
   messages, including the associated Routing Context(s) and reflecting
   any Traffic Mode Type value present in the related ASP Active
   message.

Cheers
Ramma

On 10/10/06, Aditya <[email-masked]> wrote:
> ASP sends an ASP Active message with Traffic mode type Loadshare. SGP
> sends back an ASP Active Ack with Traffic mode Override (without sending an
> Error Message of Unsupported Traffic mode). ASP ignores the traffic mode
> sent by SGP and treats itself active with Traffic mode Loadshare.
>
> My guess is SGP is behaving incorrectly. If it does not support a
> particular Traffic mode; it should respond with an Error Message.
>
> However, should the ASP in the absence of an ERROR message regard the
> traffic mode as acceptable to SGP even though a different traffic mode is
> mentioned in the ACK message.
>
> Could you all please throw some light as to who is behaving incorrectly
> and pls provide references in M3UA RFC 3332.
>
> **Aditya Sehgal
>
>
>
> ------------------------------
> All-new Yahoo! Mail
> <http://us.rd.yahoo.com/evt=43256/*http://advision.webevents.yahoo.com/mailbeta>-
> Fire up a more powerful email and get things done faster.
>
>

-- 
Make God Laugh, Tell Him Your Future Plans
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 10 Oct 2006 03:59:50 -0600

Aditya,

BTW, the reason for permitting the SGP to not send a TMT in the
ASP Active Ack was to allow the case where the ASP and SGP have
agreed in advance on some traffic mode other than those provided
in the RFC.  In that case, the ASP sends no TMT in the ASP Active
and the SGP does not put a TMT in the ASP Active Ack (none of them
apply, you see.)

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: Saurabh Jain <[email-masked]>
Date: Tue, 10 Oct 2006 15:39:15 +0530

Hi Aditya,

In the specified scenario,

1. SGP behaviour is in non-compliance with RFC 3332

Following 2 reference in RFC 3332 indicate that SGP should send an Error Message in case of Unsupported Traffic mode.

3.8.1 Error

The "Unsupported Traffic Mode Type" error is sent by a SGP if an ASP

sends an ASP Active message with an unsupported Traffic Mode Type or

a Traffic Mode Type that is inconsistent with the presently

configured mode for the Application Server. An example would be a

case in which the SGP did not support loadsharing.

4.3.4.3 ASP Active Procedures

If the SGP determines that the mode indicated in an ASP

Active message is unsupported or incompatible with the mode currently

configured for the AS, the SGP responds with an Error message

("Unsupported / Invalid Traffic Handling Mode").

2. At ASP side , if a ASP Active Ackis received with incorrect traffic handling mode, ASP cannot do much about it. (No message is defined in RFC to communicate this error back to SGP)

Best possible thing ASP can do is to cross verify the traffic mode in ASP Active Ack, and in case of discrepancy report it to System Management Entity, so that corrective action can be taken

However, such a situation should not occur, provided SGP is complying to RFC.

rgds

Saurabh

Aditya <[email-masked]>

Aditya <[email-masked]>

10/10/2006 02:56 PM

To

[email-masked]

cc

Subject

[Sigtran] Traffic Mode Help

Aditya Sehgal

All-new Yahoo! Mail - Fire up a more powerful email and get things done faster._______________________________________________

Sigtran mailing list

[email-masked]

*********************** FSS-Private ***********************

"DISCLAIMER: This message is proprietary to Flextronics Software

Systems Limited (FSS) and is intended solely for the use of the

individual to whom it is addressed. It may contain privileged or

confidential information and should not be circulated or used for

any purpose other than for what it is intended. If you have received

this message in error, please notify the originator immediately.

If you are not the intended recipient, you are notified that you are

strictly prohibited from using, copying, altering, or disclosing

the contents of this message. FSS accepts no responsibility for

loss or damage arising from the use of the information transmitted

by this email including damage from virus."

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 10 Oct 2006 03:56:52 -0600

Aditya,

3.7.2 ASP Active Acknowledgement (ASP Active Ack)

   The format of the Traffic Mode Type and Routing Context parameters is
   the same as for the ASP Active message. (See Section 3.7.1).

3.7.1 ASP Active

   Traffic Mode Type: 32-bit (unsigned integer)

      The Traffic Mode Type parameter identifies the traffic mode of
      operation of the ASP within an AS.  The valid values for Traffic
      Mode Type are shown in the following table:

         1         Override
         2         Loadshare
         3         Broadcast

3.8.1  Error

   For the Application Servers that the ASP can be successfully
   activated, the SGP or IPSP responds with one or more ASP Active Ack
   messages, including the associated Routing Context(s) and reflecting
   any Traffic Mode Type value present in the related ASP Active
   message. The Routing Context parameter MUST be included in the ASP
   Active Ack message(s) if the received ASP Active message contained
   any Routing Contexts.  Depending on any Traffic Mode Type request in
   the ASP Active message, or local configuration data if there is no
   request, the SGP moves the ASP to the correct ASP traffic state
   within the associated Application Server(s).  Layer Management is
   informed with an M-ASP_Active indication. If the SGP or IPSP receives
   any Data messages before an ASP Active message is received, the SGP
   or IPSP MAY discard them.  By sending an ASP Active Ack message, the
   SGP or IPSP is now ready to receive and send traffic for the related

If the SGP is responding with Override when told Loadshare, it must be
doing so by configuration data, which is incorrect: configuration data
is used when there is no Traffic Mode Type in the ASP Active.  (Check
that the Traffic Mode Type parameter is indeed encoded and decoded
correctly.  If the SGP does not "see" the TMT in the ASP Active, due
to an encoding or decoding error, that might explain its behaviour.)

--brian

On Tue, 10 Oct 2006, Aditya wrote:

>    Could  you  all  please  throw  some  light  as  to  who  is  behaving
>    incorrectly and pls provide references in M3UA RFC 3332.

-- 
Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
[email-masked]    ¦ world; the unreasonable one persists in  ¦
http://www.openss7.org/ ¦ trying  to adapt the  world  to himself. ¦
                        ¦ Therefore  all  progress  depends on the ¦
                        ¦ unreasonable man. -- George Bernard Shaw ¦

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 10 Oct 2006 04:42:26 -0600

Aditya,

Well, I don't think that you can expect the ASP to police the SGP
in this regard.  Nor can it be forbidden.

In the field one can expect that the SGP was already verified in
this regard before it was put in service.

--brian

On Tue, 10 Oct 2006, Aditya wrote:

>    The  behaviour  of  SGP  was  intentional.  We  were actually throwing
>    incorrect  responses  to  a  correct request in order to ascertain the
>    behaviour  of ASP. My question still remains; is it acceptable, in the
>    absence of the ERROR message from SGP, for the ASP to presume that the
>    Traffic  mode  is  acceptable  to  SGP  even  though SGP quite clearly
>    mentions  a  different Traffic mode in ASP Active Ack. Lets say it was
>    due  to  some configuration error; but  the ASP treating itself active
>    with a different traffic mode than what SGP wants or thinks would make
>    it harder to debug or infact find the error in the field.